petsc-3.4.2 2013-07-02

# MatGetGhosts

Get the global index of all ghost nodes defined by the sparse matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetGhosts(Mat mat,PetscInt *nghosts,const PetscInt *ghosts[])

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameters

| nghosts | - number of ghosts (note for BAIJ matrices there is one ghost for each block)
| ghosts | - the global indices of the ghost points

Notes: the nghosts and ghosts are suitable to pass into VecCreateGhost()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages